[lkml]   [2009]   [Apr]   [27]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
Messages in this thread
SubjectRe: 2.6.30-rc2 + xorg-intel-2.7.0 + DRM_I915_KMS = corruption
On Sun, 19 Apr 2009 07:27:35 +0100
Alex Bennee <> wrote:

> Heading the warnings in the menuconfig I did try and ensure I have all
> the up to date parts of user-space. With KMS enabled GDM starts up but
> then corrupts the display with vertical lines. Disabling the kernel
> config and everything starts up fine, UXA acceleration seems OK and
> the speed of compiz is finally back up to ~60fps thanks to the A17
> fix.
> Am I missing another bit of user space for KMS to work properly?
> I am seeing a:
> [ 6.751092] BUG: using smp_processor_id() in preemptible [00000000]
> code: modprobe/3078
> [ 6.751100] caller is smp_call_function_many+0x29/0x1bd
> [ 6.751103] Pid: 3078, comm: modprobe Not tainted 2.6.30-rc2-ajb
> #56
> But I think it's unrelated to any X woes. Shall detail in another
> message.

hm, are you using the xf86-video-intel git-branch "2.7"? if i use that,
i need a kernel fix queued in eanholts for-linus git-tree or else i
also get unusable X.

i assumed that this was because of some not-yet-released fixes
on the 2.7-branch which will get released as soon as erics queue is
merged? but i didn't double check ... maybe the released version is
also broken in this regard for me....

 \ /
  Last update: 2009-04-28 01:35    [W:0.060 / U:0.008 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site